Subject: RE: bug#13033: 24.3.50; regression: read-file-name-internal handles "~" wrong

From: "Drew Adams" <[email-masked]>
Date: Sat, 1 Dec 2012 08:34:28 -0800

> > > Emacs on Windows supports ~USER only when USER is the 
> > > current user.
> > 
> > Yes, that's what the doc says.  But until now, Emacs did 
> > not support expansion of ~USER.  It supported only "expansion"
> > of ~USER/.
> 
> You mean, 'M-: (expand-file-name "~dradams") RET' doesn't work for you
> in any previous releases?  It does for me (with my username instead of
> dradams) at least since 21.4.  It expands to my home directory.
> 
> If that is not what you mean, then what "expansion" are you talking
> about?

I thought I made clear that I was talking about completion.
I used quotation marks around "expansion" to emphasize that.
What is new is the completion behavior.